<div style=" height: 100%">

  <app-ingredient-list [measures]="measures">

    <div fxLayout="column" fxLayoutAlign="space-between center">
      <div fxFill fxLayout="column" fxLayoutAlign="space-between start" fxLayoutGap="15px" style="padding: 30px">
        <h1>Planning</h1>

        <form (ngSubmit)="onSubmit()" [formGroup]="planningForm" fxFill ngNativeValidate>
          <div fxFill fxLayout="column" fxLayoutAlign="space-between start" fxLayoutGap="15px">
            <mat-form-field appearance="fill">
              <mat-label>Title</mat-label>
              <input formControlName="title" matInput>
            </mat-form-field>

            <h3>Recettes</h3>
            <div>
              <div fxLayoutGap="10px">
                <button (click)="chooseRecipe()" aria-label="Ajout recette" color="primary" mat-raised-button
                        matTooltip="Ajout recette" type="button">
                  Ajout recette
                </button>
              </div>
            </div>
            <ng-container formArrayName="menus">
              <mat-grid-list (window:resize)="onResize($event)" [cols]="numberOfCols" fxFill rowHeight="400px">
                <mat-grid-tile *ngFor="let menuForm of menus.controls; let i = index">
                  <div [formGroupName]="i">
                    <mat-form-field appearance="fill">
                      <mat-label>Label</mat-label>
                      <input formControlName="title" matInput>
                    </mat-form-field>
                    <mat-card (click)="onRecipeSelected(menuForm['controls']['recipe'].value)" fxLayout="column"
                              fxLayoutAlign="space-around center">
                      <mat-card-header>
                        <mat-card-title
                          style="width: 200px; text-align: center; overflow-wrap: break-word;">{{menuForm['controls']['recipe'].value.title}}</mat-card-title>
                      </mat-card-header>
                      <img *ngIf="menuForm['controls']['recipe'].value.picture"
                           [src]="menuForm['controls']['recipe'].value['pictureBlob']" alt="image" mat-card-image
                           style="width: 200px;">
                    </mat-card>
                  </div>
                </mat-grid-tile>
              </mat-grid-list>
            </ng-container>

            <button class="button" type="submit">{{this.isAddMode ? "Create" : "Update"}}</button>
          </div>
        </form>
      </div>
    </div>

  </app-ingredient-list>
</div>
